Bug 990877 - SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/sbin/bluetoothd.
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:863ca8cddfeeebcd4aef3a5c705...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-01 03:01 EDT by samon007
Modified: 2015-02-16 07:24 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 05:39:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description samon007 2013-08-01 03:01:36 EDT
Description of problem:
SELinux is preventing /usr/bin/bash from 'getattr' accesses on the file /usr/sbin/bluetoothd.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that bash should be allowed getattr access on the bluetoothd file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep sh /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:blueman_t:s0-s0:c0.c1023
Target Context                system_u:object_r:bluetooth_exec_t:s0
Target Objects                /usr/sbin/bluetoothd [ file ]
Source                        sh
Source Path                   /usr/bin/bash
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           bash-4.2.45-1.fc19.x86_64
Target RPM Packages           bluez-4.101-8.fc19.x86_64
Policy RPM                    selinux-policy-3.12.1-65.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-302.fc19.x86_64 #1 SMP Sat
                              Jul 6 13:41:07 UTC 2013 x86_64 x86_64
Alert Count                   33
First Seen                    2013-07-22 16:40:51 CEST
Last Seen                     2013-07-22 16:41:19 CEST
Local ID                      7b6c42aa-d5ed-42fd-a4c7-29c29ecf3b9b

Raw Audit Messages
type=AVC msg=audit(1374504079.215:689): avc:  denied  { getattr } for  pid=4355 comm="sh" path="/usr/sbin/bluetoothd" dev="dm-2" ino=1321411 scontext=system_u:system_r:blueman_t:s0-s0:c0.c1023 tcontext=system_u:object_r:bluetooth_exec_t:s0 tclass=file


type=SYSCALL msg=audit(1374504079.215:689): arch=x86_64 syscall=stat success=no exit=EACCES a0=1333840 a1=7fff0f0c2400 a2=7fff0f0c2400 a3=9 items=0 ppid=2979 pid=4355 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=sh exe=/usr/bin/bash subj=system_u:system_r:blueman_t:s0-s0:c0.c1023 key=(null)

Hash: sh,blueman_t,bluetooth_exec_t,file,getattr

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.10.3-300.fc19.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-08-02 02:56:36 EDT
Does blueman execute bluetoothd?

Could you run

# semanage permissive -a blueman_t

re-test it and

# ausearch -m avc -ts recent
# semanage permissive -d blueman_t
Comment 2 samon007 2015-02-16 07:24:49 EST
The system in question is long gone

Note You need to log in before you can comment on or make changes to this bug.